Bug 1418367 - authentication_key exposure missing from EMS service model in 4.2GA
Summary: authentication_key exposure missing from EMS service model in 4.2GA
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate
Depends On:
Blocks: 1418749
TreeView+ depends on / blocked
 
Reported: 2017-02-01 16:22 UTC by ncatling
Modified: 2018-06-01 13:15 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1418749 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:27:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description ncatling 2017-02-01 16:22:09 UTC
Description of problem:

authentication_key no longer exposed in EMS service model.

Delivered by https://github.com/ManageIQ/manageiq/pull/12301 and implemented in last 4.1 errata but missing from 4.2 GA.

https://github.com/ManageIQ/manageiq/blob/bd01f6ec2070cde083032b01f002521c76e0655f/lib/miq_automation_engine/service_models/miq_ae_service_ext_management_system.rb#L22

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 Milan Falešník 2017-03-03 13:09:33 UTC
Verified in 5.8.0.3.

I simulated a method with this body:
$evm.root['result_key'] = $evm.root['ext_management_system'].authentication_key

selecting the openshift provider. The result_key was populated afterwards with the key.


Note You need to log in before you can comment on or make changes to this bug.